<?php
if (!defined("ABSPATH")) {
    exit;
}

/**
*
* Give access to the CentralPay API, you can do request on this.
* @since    1.0.0
*/
class CpayConfig
{
    const CPAY_API_TEST_URI = "https://test-api.centralpay.net/v2/rest/";

    const CPAY_API_PROD_URI = "https://api.centralpay.net/v2/rest/";

    const CPAY_JS_TEST_URI = "https://test-js.centralpay.net";

    const CPAY_JS_PROD_URI = "https://js.centralpay.net";
    
    const CPAY_API_TEST_TRANSACTION_URI = "https://test-api.centralpay.net/v2/rest/transaction";

    const CPAY_API_PROD_TRANSACTION_URI = "https://api.centralpay.net/v2/rest/transaction";

    const CPAY_API_PROD_CUSTOMER_URI = "https://api.centralpay.net/v2/rest/customer";

    const CPAY_API_TEST_CUSTOMER_URI = "https://test-api.centralpay.net/v2/rest/customer";

    const CPAY_API_TEST_CARD_URI = "https://test-api.centralpay.net/v2/rest/card";
    
    const CPAY_API_PROD_CARD_URI = "https://api.centralpay.net/v2/rest/card";

    const CPAY_API_TEST_CHECK_ENROLLMENT_URI = "https://test-api.centralpay.net/v2/rest/checkEnrollment";
    
    const CPAY_API_PROD_CHECK_ENROLLMENT_URI = "https://api.centralpay.net/v2/rest/checkEnrollment";

    const CPAY_SITE = "https://www.centralpay.eu/";

    const CPAY_API_END_USER_ID = "82.228.156.32";

    public $http_host;

    /**
     * Allow you to get the http host code.
     *
     * @return HTTP_HOST
     */
    public function getHttpHost()
    {
        return $_SERVER['HTTP_HOST'];
    }
}
