<?php
require_once("../../../../wp-load.php");
?>

<?php

try{
    get_header();
}catch(\Throwable $throwable)
{

    $filename = get_template_directory() . "/header.php";
    if (file_exists($filename)) {
        require($filename);
    }
}

?>
<?php

if (!isset($_GET['error']) || !isset($_GET['paymentPageUrl'])) {
    throw new Exception("An error was occurred.");
}
?>
    <div class="main" class="site-main">
        <?php
        switch ($_GET['error']){
            case 402:
                echo "<h2>".__( '402 error title', 'cpay' )."</h2>";
                echo "<p>".__( '402 error', 'cpay' )."</p>";
                break;
            default:
                echo "<h2>".__( 'system error title', 'cpay' )."</h2>";
                echo "<p>".__( 'system error', 'cpay' )."</p>";
                break;

        }
        ?>
        <a href="<?php echo $_GET['paymentPageUrl']; ?>"><?php printf(__( 'return to payment page', 'cpay' )); ?></a>


        <?php
        try{
            get_sidebar();
        }catch(\Throwable $throwable)
        {

            $filename = get_template_directory() . "/sidebar.php";
            if (file_exists($filename)) {
                require($filename);
            }
        }

        ?>
    </div>
<?php
try{
    get_footer();
}
catch(\Throwable $throwable) {
    $filename = get_template_directory() . "/footer.php";
    if (file_exists($filename)) {
        require($filename);
    }
}