<fieldset id="payment_box_withoutCard" data-centralpay="form" style="display:<?php printf($formNewCardvisibility); ?>;">
    <ul id="customError"></ul>
    <div class="payment-errors" data-centralpay="errors" color="red"></div>
    <input type="hidden" name="currency" value="EUR" />
    <input type="hidden" name="amount" value="1000" />
    <input type="hidden" name="merchantTransactionId" value="Order-0002" />
    <input type="hidden" name="pointOfSaleId" value="00000000-0000-0000-0000-000000000000" />
    <input type="hidden" name="order[country]" value="FR" />
    <input type="hidden" name="order[firstName]" value="John" />
    <input type="hidden" name="order[lastName]" value="Doe" />
    <input type="hidden" name="merchantPublicKey" value="<?php printf($this->merchant_public_key); ?>" />
    <input type="hidden" name="apiUrl" value="<?php printf($this->url_cpay); ?>" />
    <input type="hidden" name="jsUrl" value="<?php printf($this->url_js); ?>" />
    <div class="form-row">
        <label class="sr-only" for="holderName"><span><?php printf(__( 'Cardholder name', 'cpay' )); ?></span></label>
        <div class="input-holder">
            <span class="txt_dyn fa fa-user"></span>
            <input type="text" data-centralpay="card[holderName]" name="holderName" id="holderName"  placeholder="<?php printf(__( 'Cardholder name', 'cpay' )); ?>" required/>
        </div>
    </div>
    <div class="form-row">
        <label class="sr-only" for="holderEmail"><span><?php printf(__( 'Email', 'cpay' )); ?></span></label>
        <div class="input-holder">
            <span class="txt_dyn fa fa-envelope"></span>
            <input type="email"
                   data-centralpay="card[holderEmail]"
                   name="holderEmail"
                   id="holderEmail"
                   autocomplete="off"
                   placeholder="<?php printf(__( 'Email', 'cpay' )); ?>" required/>
        </div>
    </div>
    <div class="form-row">
        <label class="sr-only" for="number">
            <span><?php printf(__( 'Card number', 'cpay' )); ?></span>
        </label>
        <div class="input-holder">
            <span class="txt_dyn fa fa-credit-card-alt"></span>
            <input size="20"
                   pattern="\d*"
                   data-minlength="12" maxlength="20"
                   autocomplete="off"
                   inputmode="numeric"
                   autocorrect="no"
                   autocapitalize="no"
                   spellcheck="no"
                   type="tel"
                   id="number"
                   data-centralpay="card[number]"
                   name="number"
                   placeholder="<?php printf(__( 'Card number', 'cpay' )); ?>" required/>
        </div>
    </div>
    <div class="form-row">
        <div class="input-half input-half-first">
            <label class="sr-only" for="ExpirationMonth">
                <span><?php printf(__( 'MM / YY', 'cpay' )); ?></span>
            </label>
            <div class="input-holder">
                <span class="txt_dyn fa fa-calendar-o"></span>
                <input type="text" data-centralpay="expiration"
                       name="expiration"
                       id="expiration"
                       autocomplete="off"
                       placeholder="<?php printf(__( 'MM / YY', 'cpay' )); ?>" required/>
            </div>
        </div><div class="input-half input-half-last">
            <label class="sr-only" for="cvc"><span><?php printf(__( 'CVC', 'cpay' )); ?></span></label>
            <div class="input-holder">
                <span class="txt_dyn fa fa-lock"></span>
                <input inputmode="numeric"
                       id="cvc"
                       autocomplete="off"
                       autocorrect="no"
                       autocapitalize="no"
                       spellcheck="no"
                       type="tel"
                       maxlength="4"
                       data-centralpay="card[cvc]"
                       name="cvc"
                       pattern="[0-9]{3,4}"
                       placeholder="<?php printf(__( 'CVC', 'cpay' )); ?>" required/>
                <div class="help-tip">
                    <p><?php printf(__( 'The 3 digits of the back of your card.', 'cpay' )); ?></p>
                </div>
            </div>
        </div>
    </div>
    <div class="form-row">
        <label class="label-checkbox" for="wc-cpay-new-payment-method">
            <input type="checkbox" name="save_account" id="wc-cpay-new-payment-method" value="true"/>
            <span><?php printf(__( 'Save to account?', 'cpay' )); ?></span>
        </label>
    </div>
    <div class="form-row" id="cp-label"><?php printf(__( 'Secure payment by', 'cpay' )); ?> <a href="<?php printf(CpayConfig::CPAY_SITE); ?>" target="_blank" title="<?php printf(__( 'CentralPay is a secure payment solution, PCI-DSS certified.', 'cpay' )); ?>">CentralPay</a></div>
<!-- custom fields -->
    <input type="hidden" name="cardTokenId">
    <input type="hidden" name="first6">
    <input type="hidden" name="last4">
    <input type="hidden" name="cardId">
</fieldset>
<script>
    jQuery(document).ready(function($) {
        "use strict";
        $("#number").payment("formatCardNumber");
        $("#expiration").payment("formatCardExpiry");
        $("#cvc").payment("formatCardCVC");
        $("#holderName").val($("#billing_last_name").val());
        $("#holderEmail").val($("#billing_email").val());
        $("#billing_last_name").on('keyup', function () {
            $("#holderName").val($("#billing_last_name").val());
        });
        $("#billing_email").on('keyup', function(){
            $("#holderEmail").val($("#billing_email").val());
        });
    });
</script>