var urlCentralpayJs = '';
var urlCentralpayApi = '';

 wc_cpay_form = {

	currentForm: null,

	fieldSelectedCard: null,

	merchantPublicKey: null,

	// Initialise l'objet en ajoutant un eventListener sur le formulaire woocommerce de la page de paiement.
	init: function () {
		this.form = jQuery('form.woocommerce-checkout');
		this.form.on('checkout_place_order_cpay', wc_cpay_form.onSubmit);
        urlCentralpayApi = jQuery('input[name=apiUrl]').val();
        urlCentralpayJs = jQuery('input[name=jsUrl]').val();
        addScript(urlCentralpayJs+'/js/validation.js');

	},

	// onSubmit event create the token and get the form data
	onSubmit: function (e) {
		e.preventDefault();
		console.info(new Date());
		wc_cpay_form.currentForm = document.querySelector('fieldset[data-centralpay="form"]');
		wc_cpay_form.merchantPublicKey = document.querySelector('input[name="merchantPublicKey"]').value;

		if (wc_cpay_form.currentForm) {

			// Prevent other event listener
			Centralpay.utils.safePreventEvent(e);

			// Popin
			// // Modal event
			// var modal = document.getElementById("id01");

			// // Check if modal is active
			// if (modal) {

			// 	modal.style.display = "block";

			// } else {

			fieldSelectedCard = document.getElementById('payment_method_cpay_authenticated');
			// Force change value for pass this value to the payment gateway
			if (fieldSelectedCard.checked == false) {
				fieldSelectedCard.value = false;
			}else{
				fieldSelectedCard.value = true;
			}

			if (fieldSelectedCard.checked == false) {

				// Vérifier si la classe errors existe quelque part
				// Ajax call
				xhr = new XMLHttpRequest();
				xhr.open('POST', urlCentralpayApi + 'cardToken');
				xhr.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
				xhr.onreadystatechange = function () {

					if (xhr.readyState == 4) {

						divErrors = document.querySelector('[data-centralpay="errors"]');
						divErrors.innerHTML = "";
						if (xhr.status != 200) { // Error
							ulErrors = document.createElement('ul');
							let liErrors;
							console.info(xhr.responseText);
							if (xhr.status == 400) {
								json = JSON.parse(xhr.responseText);
								if (json && json.errors) { // Bad Request with json response errors
									for (key in json.errors) {
										liErrors = document.createElement('li');
										liErrors.appendChild(document.createTextNode(json.errors[key]));
										ulErrors.appendChild(liErrors);
									}
								} else {
									// Other errors
									liErrors = document.createElement('li');
									liErrors.appendChild(document.createTextNode('An error was occured'));
									ulErrors.appendChild(liErrors);
								}
							} else {
								// Other errors
								liErrors = document.createElement('li');
								liErrors.appendChild(document.createTextNode('An error was occured'));
								ulErrors.appendChild(liErrors);
							}
							divErrors.appendChild(ulErrors);
						} else {
							// Token was created
							let token = JSON.parse(xhr.responseText);

							// Insert cardTokenId in the form
							let inputTokenId = document.createElement('input');
							inputTokenId.setAttribute('type', 'hidden');
							inputTokenId.setAttribute('name', 'cardTokenId');
							inputTokenId.value = token.cardTokenId;

							// first6
							let inputFirst6 = document.createElement('input');
							inputFirst6.setAttribute('type', 'hidden');
							inputFirst6.setAttribute('name', 'first6');
							inputFirst6.value = token['card']['first6'];

							// last4
							let inputLast4 = document.createElement('input');
							inputLast4.setAttribute('type', 'hidden');
							inputLast4.setAttribute('name', 'last4');
							inputLast4.value = token['card']['last4'];

							// cardId
							let inputCardId = document.createElement('input');
							inputCardId.setAttribute('type', 'hidden');
							inputCardId.setAttribute('name', 'cardId');
							inputCardId.value = token['card']['cardId'];

							wc_cpay_form.currentForm.appendChild(inputTokenId);
							wc_cpay_form.currentForm.appendChild(inputCardId);
							wc_cpay_form.currentForm.appendChild(inputFirst6);
							wc_cpay_form.currentForm.appendChild(inputLast4);

							jQuery('form.woocommerce-checkout').off('checkout_place_order_cpay', this.onSubmit);

							// 2. Envoyer le formulaire principale
							let formCheckout = jQuery('form.woocommerce-checkout');
							formCheckout.submit();
						}

					}
				};

				// Request a token from Centralpay
				let query = wc_cpay_form.buildUriQuery();
				if (wc_cpay_form.inputValidations()) {
					xhr.send(query);
				}

				return false;
			} else {
				let field = document.getElementById('customerValidationValue');
				if (field.value) {
					let errorMessage = document.getElementById('CustomerValidationValueErrorMessage');
					if (errorMessage) {
						errorMessage.parentNode.removeChild(errorMessage);
					}
					return true;
				} else {
					let errorMessage = document.getElementById('CustomerValidationValueErrorMessage');
					if (!errorMessage) {
						jQuery('#customerValidationValue').after('<p id="CustomerValidationValueErrorMessage" class="cpayFormErrors" style="color:red;">Fields cvc is required.</p>');
					}
					return false;
				}
				jQuery('form.woocommerce-checkout').off('checkout_place_order_cpay', this.onSubmit);

				// 2. Envoyer le formulaire principale
				formCheckout = jQuery('form.woocommerce-checkout');
				formCheckout.submit();
				return false;
			}
		}
		// }
		return false;
	},

	buildUriQuery: function () {
		let field = '';
		let query = 'merchantPublicKey=' + jQuery('input[name=merchantPublicKey]').val();
		let centralpayElements = wc_cpay_form.currentForm.querySelectorAll('[data-centralpay]');

		try {

			if (centralpayElements == null) {
				throw new Exception("An error was occurred when you have try to get element with data-centralpay for build your centralpay request on the api.");
			} else {
				for (var i = centralpayElements.length - 1; i >= 0; i--) {
					field = centralpayElements[i];

					if (field.hasAttribute('data-centralpay') && field.getAttribute('data-centralpay') != "errors") {

						// Faire split si field is expiration
						if (field.getAttribute('data-centralpay') == "expiration") {

							let expirationTab = field.value.split(" / ");

							query += '&card[expirationMonth]=' +
								encodeURIComponent(expirationTab[0]) +
								'&card[expirationYear]=' +
								encodeURIComponent(expirationTab[1]);

						} else {
							query += '&' + field.getAttribute('data-centralpay') + "=" + encodeURIComponent(field.value).replace(/%20/g, '+');
						}
					}
				}
			}

		} catch (e) {
			throw new Exception("An error was occured.");
		}

		return query;
	},

	displayErrorMessage: function (field) {
		if (!field) {
			return;
		} else {
			let attributeName = field.getAttribute('data-centralpay').replace('card[', '').replace(']', '');
			let errorMessage = document.getElementById(attributeName + 'ErrorMessage');
			if (!errorMessage) {
				jQuery('#' + attributeName).after('<p id="' + attributeName + 'ErrorMessage" class="cpayFormErrors" style="color:red;">Fields ' + attributeName + ' is on error.</p>');
			}
		}
	},

	hideErrorMessage: function (field) {
		if (!field) {
			return;
		} else {
			let attributeName = field.getAttribute('data-centralpay').replace('card[', '').replace(']', '');
			let errorMessage = document.getElementById(attributeName + 'ErrorMessage');
			if (errorMessage) {
				errorMessage.parentNode.removeChild(errorMessage);
			}
		}
	},

	inputValidations: function () {
		let inputIsValid = true;

		let cardNumber = document.querySelector('[data-centralpay="card[number]"]');
		if (!Centralpay.card.validateCardNumber(cardNumber.value.replace(' ', ''))) {
			inputIsValid = false;
			wc_cpay_form.displayErrorMessage(cardNumber);
		} else {
			wc_cpay_form.hideErrorMessage(cardNumber);
		}

		let expiration = document.querySelector('[data-centralpay="expiration"');
		let expirationsTab = expiration.value.split(' / ');
		if (!Centralpay.card.validateExpirationDate(expirationsTab[0], expirationsTab[1])) {
			inputIsValid = false;
			wc_cpay_form.displayErrorMessage(expiration);
		} else {
			wc_cpay_form.hideErrorMessage(expiration);
		}

		let cvc = document.querySelector('[data-centralpay="card[cvc]"]');
		if (!Centralpay.card.validateCvc(cardNumber.value, cvc.value)) {
			inputIsValid = false;
			wc_cpay_form.displayErrorMessage(cvc);
		} else {
			wc_cpay_form.hideErrorMessage(cvc);
		}

		let holderEmail = document.querySelector('[data-centralpay="card[holderEmail]"]');
		if (!Centralpay.card.validateCardholderEmail(holderEmail.value) || (!holderEmail.value) || (holderEmail.value == ' ')) {
			inputIsValid = false;
			wc_cpay_form.displayErrorMessage(holderEmail);
		} else {
			wc_cpay_form.hideErrorMessage(holderEmail);
		}

		let holderName = document.querySelector('[data-centralpay="card[holderName]"]');
		if (!Centralpay.card.validateCardholderName(holderName.value) || (!holderName.value) || (holderName.value == ' ')) {
			inputIsValid = false;
			wc_cpay_form.displayErrorMessage(holderName);
		} else {
			wc_cpay_form.hideErrorMessage(holderName);
		}

		return inputIsValid;
	},

	getFormSelectedCard: function () {
		return document.getElementById('payment_method_cpay_authenticated');
	},

};

jQuery(function ($) {
	'use strict';

	// Send action
	wc_cpay_form.init();
});

function onChangeRadio() {

	// Input elements
	let payment_method_cpay_guest = document.getElementById('payment_method_cpay_guest');

	// div elements
	let payment_box_withCard = document.getElementById('payment_box_withCard');
	let payment_box_withoutCard = document.getElementById('payment_box_withoutCard');

	let payment_box_withCard_Label = document.getElementById('payment_box_withCard_Label');

	// Checkout button
	var form = jQuery('form.woocommerce-checkout');

	if (payment_method_cpay_guest.checked == false) {

		if (payment_box_withCard) {
			payment_box_withCard.style.display = "initial";
		}
		if (payment_box_withCard_Label) {
			payment_box_withCard_Label.style.display = "initial";
		}
		payment_box_withoutCard.style.display = "none";

		// Désactiver la création du token lors du paiement de la commande en mode authentifié avec un customer centralpay
		//form.off('checkout_place_order_cpay', wc_cpay_form.onSubmit);

	} else if (payment_method_cpay_guest.checked == true) {

		if (payment_box_withCard) {
			payment_box_withCard.style.display = "none";
		}
		if (payment_box_withCard_Label) {
			payment_box_withCard_Label.style.display = "none";
		}
		payment_box_withoutCard.style.display = "initial";

		// Activer la création du token lors du paiement de la commande.	
		//form.on('checkout_place_order_cpay', wc_cpay_form.onSubmit);

	}
}

function addScript(src) {
    var script = document.createElement('script');
    script.src = src;
    script.async = false;
    document.getElementsByTagName("head")[0].appendChild(script);
}